For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
            • GETList Products
            • PUTUpdate Products (batch)
            • POSTCreate Product
            • DELDelete Products
            • GETGet Product
            • PUTUpdate Product
            • DELDelete Product
              • GETGet Catalog Summary
        • Product Modifiers
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProductsSummary

Get Catalog Summary

GET
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/summary
GET
/stores/:store_hash/v3/catalog/summary
$curl https://api.bigcommerce.com/stores/store_hash/v3/catalog/summary \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Retrieved
1{
2 "data": {
3 "inventory_count": 2000,
4 "inventory_value": 267000,
5 "primary_category_id": 23,
6 "primary_category_name": "Shop All",
7 "variant_count": 46,
8 "highest_variant_price": 249,
9 "average_variant_price": 83.07978261,
10 "lowest_variant_price": "7",
11 "oldest_variant_date": "2018-08-15T00:00:00+00:00",
12 "newest_variant_date": "2018-08-16T00:00:00+00:00"
13 },
14 "meta": {}
15}
Returns a lightweight inventory summary from the BigCommerce Catalog. The inventory summary includes: * "inventory_count" * "variant_count" * "inventory_value" * "highest_variant_price" * "average_variant_price" * "lowest_variant_price" * "oldest_variant_date" * "newest_variant_date" * "primary_category_id" * "primary_category_name"
Was this page helpful?
Previous

Delete Product Review

Next

List Product Videos

Built with

Returns a lightweight inventory summary from the BigCommerce Catalog.

The inventory summary includes:

  • “inventory_count”
  • “variant_count”
  • “inventory_value”
  • “highest_variant_price”
  • “average_variant_price”
  • “lowest_variant_price”
  • “oldest_variant_date”
  • “newest_variant_date”
  • “primary_category_id”
  • “primary_category_name”

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

dataobject
Catalog Summary object describes a lightweight summary of the catalog.
metaobject
Response metadata.